package com.bonus.canteen.core.menu.dto;

import io.swagger.annotations.ApiModelProperty;

import javax.validation.constraints.NotNull;
import java.time.LocalDate;

public class MenuSelectByDateDTO {
   @ApiModelProperty("菜谱id")
   private @NotNull(
           message = "{menu_recipe_id_null}"
   ) Long recipeId;
   @ApiModelProperty("发布开始日期")
   private @NotNull(
           message = "{menu_begin_date_null}"
   ) LocalDate applyStartDate;
   @ApiModelProperty("发布结束日期")
   private @NotNull(
           message = "{menu_end_date_null}"
   ) LocalDate applyEndDate;

   public Long getRecipeId() {
      return this.recipeId;
   }

   public LocalDate getApplyStartDate() {
      return this.applyStartDate;
   }

   public LocalDate getApplyEndDate() {
      return this.applyEndDate;
   }

   public void setRecipeId(final Long recipeId) {
      this.recipeId = recipeId;
   }

   public void setApplyStartDate(final LocalDate applyStartDate) {
      this.applyStartDate = applyStartDate;
   }

   public void setApplyEndDate(final LocalDate applyEndDate) {
      this.applyEndDate = applyEndDate;
   }

}